Skip to main content
POST
/
payments
/
verifications
Submit account verification
curl --request POST \
  --url https://api.paysway.dev/payments/verifications \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --header 'Idempotency-Key: <idempotency-key>' \
  --data '
{
  "details": {
    "country": "<string>",
    "currency": "<string>",
    "creditorAgent": {
      "bic": "<string>",
      "clearingSystemMemberId": {
        "memberId": "<string>"
      },
      "branchId": "<string>"
    },
    "creditor": {
      "name": "<string>",
      "contactDetails": {
        "email": "<string>",
        "phone": "<string>"
      },
      "dateOfBirth": "2023-12-25",
      "taxId": "<string>",
      "documents": [
        {
          "value": "<string>",
          "type": "<string>"
        }
      ],
      "type": "INDIVIDUAL"
    },
    "intermediaryAgent1": {
      "bic": "<string>",
      "clearingSystemMemberId": {
        "memberId": "<string>"
      },
      "branchId": "<string>"
    },
    "intermediaryAgent2": {
      "bic": "<string>",
      "clearingSystemMemberId": {
        "memberId": "<string>"
      },
      "branchId": "<string>"
    },
    "intermediaryAgent3": {
      "bic": "<string>",
      "clearingSystemMemberId": {
        "memberId": "<string>"
      },
      "branchId": "<string>"
    },
    "settlementInformation": {
      "settlementSystem": "SCT"
    }
  },
  "metadata": {}
}
'
{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "createdDate": "2023-11-07T05:31:56Z",
  "updatedDate": "2023-11-07T05:31:56Z",
  "state": "PENDING",
  "result": {
    "accountStatus": "ACTIVE",
    "accountHolderName": {
      "verifiedName": "<string>",
      "matchStatus": "FULL_MATCH"
    },
    "accountType": {
      "matchStatus": "MATCH"
    },
    "schemeResponseCode": "EPC_VOP_MTCH"
  },
  "failureReason": "INVALID_FIELD",
  "metadata": {}
}

Documentation Index

Fetch the complete documentation index at: https://docs.paysway.io/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Headers

Idempotency-Key
string<uuid>
required

The idempotency key is a unique value sent with a request to prevent duplicate processing caused by retries.

Body

application/json
details
object
required
metadata
object

Arbitrary key-value pairs

Response

200 - application/json

Account verification request submitted successfully

id
string<uuid>
required
createdDate
string<date-time>
required
updatedDate
string<date-time>
required
state
enum<string>
required
Available options:
PENDING,
COMPLETED,
FAILED
result
object
failureReason
enum<string>
Available options:
INVALID_FIELD,
UNAVAILABLE_FINANCIAL_INSTITUTION,
UNSUPPORTED_FINANCIAL_INSTITUTION,
UNEXPECTED_ERROR
metadata
object

Arbitrary key-value pairs